Debian Bug report logs - #604472
b43/ssb driver causes some laptops to freeze during boot

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: geek <kader25@gmail.com>

Date: Mon, 22 Nov 2010 13:45:01 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version 2.6.32-27

Fixed in version 2.6.39-1

Done: Alexander Kurtz <kurtz.alex@googlemail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=14716

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kader25@gmail.com, Debian QA Group <packages@qa.debian.org>:
Bug#604472; Package firmware-b43-installer. (Mon, 22 Nov 2010 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to geek <kader25@gmail.com>:
New Bug report received and forwarded. Copy sent to kader25@gmail.com, Debian QA Group <packages@qa.debian.org>. (Mon, 22 Nov 2010 13:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: geek <kader25@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-b43-installer but after reboot I got a black screen!
Date: Mon, 22 Nov 2010 14:43:22 +0100
Package: firmware-b43-installer
Version: 4.150.10.5-4
Severity: critical
Justification: breaks the whole system

I installed Debian testing (squeeze) minimal cd install. I'm using openbox
desktop it works great! But when went I installing
my wifi driver (bcm4312), I installed the package firmware-b43-installer using
synaptic
after reboot I got a black screen nothing shows up! I have used the firmware
driver firmware-b43-installer many times with no problem for Ubuntu minimal
install,  but in debian squeeze it won't work. I noticed when I turn my wifi
switch off the system boots to the desktop but than crashes.
I hope this gets fixed before squeeze gets released.
Sorry for my bad English!
Thank u!



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages firmware-b43-installer depends on:
ii  b43-fwcutter                  1:013-2    Utility for extracting Broadcom 43
ii  bzip2                         1.0.5-6    high-quality block-sorting file co
ii  wget                          1.12-2.1   retrieves files from the web

Versions of packages firmware-b43-installer recommends:
ii  linux-image-2.6.32-5-686 [lin 2.6.32-27  Linux 2.6.32 for modern PCs

firmware-b43-installer suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#604472; Package firmware-b43-installer. (Tue, 23 Nov 2010 08:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 23 Nov 2010 08:36:02 GMT) Full text and rfc822 format available.

Message #10 received at 604472@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: geek <kader25@gmail.com>
Cc: 604472@bugs.debian.org
Subject: Re: firmware-b43-installer but after reboot I got a black screen!
Date: Tue, 23 Nov 2010 09:34:04 +0100
[Message part 1 (text/plain, inline)]
Hi,

This might be a known kernel bug[1] which got fixed recently. The
problem is somewhere in the b43/ssb driver, which won't get activated
until you install the necessary firmware files. Could you try the latest
linux kernel from experimental?
I'm having this problem (black screen, machine freezes during boot) on
one of my notebooks (HP Compaq 615). I'm using the proprietary driver[2]
as a workaround for the time being. That works w/o problems.

Best regards

Alexander Kurtz

[1] https://bugzilla.kernel.org/show_bug.cgi?id=14716 (currently broken)
[2] http://packages.debian.org/squeeze/broadcom-sta-source
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#604472; Package firmware-b43-installer. (Thu, 25 Nov 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 25 Nov 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 604472@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: k k <kader25@gmail.com>
Cc: 604472@bugs.debian.org
Subject: Re: firmware-b43-installer but after reboot I got a black screen!
Date: Thu, 25 Nov 2010 11:45:49 +0100
[Message part 1 (text/plain, inline)]
Am Dienstag, den 23.11.2010, 12:08 +0100 schrieb k k:
> Hi, Alexander Kurtz
> 
> I Just installed proprietary STA driver it works but not as good as the b43,
> it disconnects me.
> I'll reinstall my system and try out the latest kernel.
> 
> Thank u!

You don't have to reinstall, you can just add

	deb http://ftp.debian.org/debian/ experimental main

to your /etc/apt/sources.list and then execute this:

	apt-get update
	apt-get -t experimental install linux-image-2.6.36-trunk-686

If your system is currently unable to boot, you can try adding "nolapic"
and/or "acpi=off" to the kernel parameters when booting. This will
deactivate your wifi. This is a valid workaround, but no longtime
solution since this breaks (amongst others) SMP.

Best regards

Alexander Kurtz
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#604472; Package firmware-b43-installer. (Thu, 25 Nov 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 25 Nov 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 604472@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: k k <kader25@gmail.com>
Cc: 604472@bugs.debian.org
Subject: Re: firmware-b43-installer but after reboot I got a black screen!
Date: Thu, 25 Nov 2010 18:19:06 +0100
[Message part 1 (text/plain, inline)]
Am Donnerstag, den 25.11.2010, 16:59 +0100 schrieb k k:
> Hi Alexander,
> 
> Thank u it worked, the expermimental kernel has fixed it!
> So will this bug be fixed in the current kernel perhaps patch?
> 
> Thank u!

Hopefully yes. I'll reassign this bug to linux-2.6. Let's see what the
kernel maintainers say.

Best regards

Alexander Kurtz
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#604472; Package firmware-b43-installer. (Thu, 25 Nov 2010 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 25 Nov 2010 18:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 604472@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: 604472@bugs.debian.org
Cc: k k <kader25@gmail.com>
Subject: b43/ssb driver causes some laptops to freeze during boot
Date: Thu, 25 Nov 2010 18:58:25 +0100
[Message part 1 (text/plain, inline)]
reassign 604472 linux-2.6
retitle 604472 b43/ssb driver causes some laptops to freeze during boot
severity 604472 serious
tags 604472 patch upstream fixed-upstream
forwarded 604472 https://bugzilla.kernel.org/show_bug.cgi?id=14716
thanks

Dear kernel maintainers,

There is a known bug[1] in the linux kernel which causes some laptops
(for example the HP Compaq 615) to freeze during boot (screen turns
black, machine doesn't react on anything). The problem has been located
in the b43/ssb driver and has been fixed[2] some time ago.

As a workaround, one can use the proprietary wifi driver[3] (I'm doing
so on my HP Compaq 615) or start the kernel with "nolapic" and/or
"acpi=off" (disables wifi completely, but also SMP).

The people currently seeing this bug include myself and
"k k <kader25@gmail.com>", who has recently filed this bug report
against firmware-b43-installer and who was able to confirm[4] that the
latest linux kernel from experimental fixes the problem.

It would be great if the upstream patch could be backported and included
in the squeeze kernel! If you'd like, I can test the patched version
first.

Many thanks for your work and with best regards

Alexander Kurtz

[1] https://bugzilla.kernel.org/show_bug.cgi?id=14716
[2] http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.35.y.git;a=commit;h=9d1ac34ec3a67713308ae0883c3359c557f14d17
[3] http://packages.debian.org/squeeze/broadcom-sta-source
[4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=604472#20
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'firmware-b43-installer' to 'linux-2.6'. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:03:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions b43-fwcutter/1:013-2. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:03:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'b43/ssb driver causes some laptops to freeze during boot' from 'firmware-b43-installer but after reboot I got a black screen!' Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:03:06 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'critical' Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:03:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream, fixed-upstream, and patch. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:03:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=14716'. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:03:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-27. Request was from Alexander Kurtz <kurtz.alex@googlemail.com> to control@bugs.debian.org. (Thu, 25 Nov 2010 18:12:03 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 19:00:03 GMT) Full text and rfc822 format available.

Reply sent to Alexander Kurtz <kurtz.alex@googlemail.com>:
You have taken responsibility. (Tue, 31 May 2011 08:54:36 GMT) Full text and rfc822 format available.

Notification sent to geek <kader25@gmail.com>:
Bug acknowledged by developer. (Tue, 31 May 2011 08:54:40 GMT) Full text and rfc822 format available.

Message #46 received at 604472-done@bugs.debian.org (full text, mbox):

From: Alexander Kurtz <kurtz.alex@googlemail.com>
To: 604472-done@bugs.debian.org
Subject: Re: b43/ssb driver causes some laptops to freeze during boot
Date: Tue, 31 May 2011 10:53:37 +0200
[Message part 1 (text/plain, inline)]
Version: 2.6.39-1

On Thu, 2010-11-25 at 18:58 +0100, Alexander Kurtz wrote: 
> There is a known bug[1] in the linux kernel which causes some laptops
> (for example the HP Compaq 615) to freeze during boot (screen turns
> black, machine doesn't react on anything). The problem has been located
> in the b43/ssb driver and has been fixed[2] some time ago.

I have tested Linux 2.6.39 on my HP Compaq 615 and everything now works
without problems (no freezes/crashes anymore). I'm therefore closing
this bug. Feel free to reopen if necessary.

Best regards

Alexander Kurtz

PS: The bug has most likely already been fixed in 2.6.38 or even 
    earlier. I didn't bother to test, but I can do so if necessary.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:38:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:09:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.